summaryrefslogtreecommitdiff
path: root/gate
diff options
context:
space:
mode:
authorBalazs Gibizer <balazs.gibizer@est.tech>2021-11-02 07:05:52 +0000
committerBalazs Gibizer <balazs.gibizer@est.tech>2021-11-02 07:05:52 +0000
commit5725297e129d3e1b5664b1bac27752d3e58ad267 (patch)
tree9d78da2a1b564fcfb2861ec2d0b221e2c59cf0d9 /gate
parent45e71fb9ceaf7fd89e63379aa65a8971b053a8b1 (diff)
downloadnova-5725297e129d3e1b5664b1bac27752d3e58ad267.tar.gz
Revert "Temp disable nova-manage placement heal_allocation testing"
This reverts commit 45e71fb9ceaf7fd89e63379aa65a8971b053a8b1. Reason for revert: https://review.opendev.org/c/openstack/nova/+/802060 is landed now, so the heal allocation tests should work again Change-Id: I829e7466cec3f768ad13dcf793315fb029126a2e
Diffstat (limited to 'gate')
-rwxr-xr-xgate/post_test_hook.sh40
1 files changed, 17 insertions, 23 deletions
diff --git a/gate/post_test_hook.sh b/gate/post_test_hook.sh
index 796b5afad0..28ad9b939e 100755
--- a/gate/post_test_hook.sh
+++ b/gate/post_test_hook.sh
@@ -101,29 +101,6 @@ fi
echo "Resource provider allocations were cleaned up properly."
-echo "Verifying online_data_migrations idempotence"
-# We will re-use the server created earlier for this test. (A server needs to
-# be present during the run of online_data_migrations and archiving).
-
-# Run the online data migrations before archiving.
-$MANAGE db online_data_migrations
-
-# We need to archive the deleted marker instance used by the
-# fill_virtual_interface_list online data migration in order to trigger
-# creation of a new deleted marker instance.
-set +e
-archive_deleted_rows
-set -e
-
-# Verify whether online data migrations run after archiving will succeed.
-# See for more details: https://bugs.launchpad.net/nova/+bug/1824435
-$MANAGE db online_data_migrations
-
-
-# temporary disable nova-manage placement heal_allocations testing until
-# https://review.opendev.org/c/openstack/nova/+/802060 lands
-exit 0
-
# Test "nova-manage placement heal_allocations" by creating a server, deleting
# its allocations in placement, and then running heal_allocations and assert
# the allocations were healed as expected.
@@ -277,3 +254,20 @@ if [[ "$my_key" == "" ]]; then
exit 2
fi
+echo "Verifying online_data_migrations idempotence"
+# We will re-use the server created earlier for this test. (A server needs to
+# be present during the run of online_data_migrations and archiving).
+
+# Run the online data migrations before archiving.
+$MANAGE db online_data_migrations
+
+# We need to archive the deleted marker instance used by the
+# fill_virtual_interface_list online data migration in order to trigger
+# creation of a new deleted marker instance.
+set +e
+archive_deleted_rows
+set -e
+
+# Verify whether online data migrations run after archiving will succeed.
+# See for more details: https://bugs.launchpad.net/nova/+bug/1824435
+$MANAGE db online_data_migrations